#   This file is part of Invoke-DOSfuscation.
#
#   Copyright 2018 Daniel Bohannon <@danielhbohannon>
#         while at Mandiant <http://www.mandiant.com>
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.



#
# Module manifest for module 'Invoke-DOSfuscation'
#
# Generated by: Daniel Bohannon (@danielhbohannon)
#
# Generated on: 2017-11-22
#



@{

# Script module or binary module file associated with this manifest.
ModuleToProcess = 'Invoke-DOSfuscation.psm1'

# Modules to import as nested modules of the module specified in ModuleToProcess
NestedModules = 'Invoke-DOSfuscationMenu.psm1', 'Invoke-DOSfuscationTestHarness.psm1'

# Version number of this module.
ModuleVersion = '1.0'

# ID used to uniquely identify this module
GUID = 'db012345-aaaa-ad17-f325-a3a24fed0aa9'

# Author of this module
Author = 'Daniel Bohannon (@danielhbohannon)'

# Copyright statement for this module
Copyright = 'Apache License, Version 2.0'

# Description of the functionality provided by this module
Description = 'PowerShell module file for importing all required modules for the Invoke-DOSfuscation framework.'

# Minimum version of the Windows PowerShell engine required by this module
PowerShellVersion = '2.0'

# Minimum version of the Windows PowerShell host required by this module
PowerShellHostVersion = '2.0'

# Script files (.ps1) that are run in the caller's environment prior to importing this module
ScriptsToProcess = @()

# Functions to export from this module
FunctionsToExport = 'Get-ObfuscatedCmd','Get-ObfuscatedPowerShell','Out-EnvVarEncodedCommand','Out-DosConcatenatedCommand','Out-DosReversedCommand','Out-DosFORcodedCommand','Out-DosFINcodedCommand','Invoke-DOSfuscation','Invoke-DosTestHarness','Get-DosDetectionMatch'

# HelpInfo URI of this module
# HelpInfoURI = ''

}